module qduc_if (
        ap_clk,
        ap_rst_n,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        out_V_V_TDATA,
        out_V_V_TVALID,
        out_V_V_TREADY,
        tist_V_V_dout,
        tist_V_V_empty_n,
        tist_V_V_read,
        cnt_V
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst_n;
input  [35:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
output  [17:0] out_V_V_TDATA;
output   out_V_V_TVALID;
input   out_V_V_TREADY;
input  [7:0] tist_V_V_dout;
input   tist_V_V_empty_n;
output   tist_V_V_read;
input  [41:0] cnt_V;
endmodule

